#!/bin/bash

DOCROOT="/var/www/html/ipaccounting"
PREFIX="/usr/local/ipaccounting"
IPACC_USER="apache:apache"
INSTAL_VER="cs"

echo "Instalace programu IPAccounting v1.2"
echo -n "Konroluji, zda mate nainstalovany potrebne programy.."
if [ ! -x /bin/bc ] && [ ! -x /usr/bin/bc ]; then
   echo ""
   echo "Nemate nainstalovan bc kalkulator !!"
   exit
fi
echo "[ OK ]"
echo "Vytvarim potrebne adresare ...."
mkdir -p $DOCROOT
mkdir -p $DOCROOT/graph
mkdir -p $DOCROOT/rrd
mkdir -p $DOCROOT/web
mkdir -p $PREFIX
echo "Kopiruji soubory ...."
cp $INSTAL_VER/index.php $DOCROOT
cp $INSTAL_VER/rrd.php $DOCROOT
cp $INSTAL_VER/prehled.php $DOCROOT
cp ./ipaccounting.sh $PREFIX
echo "Pridavam zapis do crona ...."

grep "ipaccounting.sh" /etc/crontab &>/dev/null
res=$?

if [ ! $res -eq 0 ]; then
    echo >> /etc/crontab
    echo "0-58/2 * * * * root $PREFIX/ipaccounting.sh" >> /etc/crontab
fi
if [ ! -e $DOCROOT/data.txt ]; then
    echo "" > $DOCROOT/data.txt
fi
chown -R $IPACC_USER $DOCROOT
echo "Hotovo ;-)"
